Skip to main content
`Ctrl`+`K`

# PCBDDCGetPrimalVerticesLocalIS

Get user defined primal vertices set with `PCBDDCSetPrimalVerticesLocalIS()`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCGetPrimalVerticesLocalIS(PC pc, IS *is)

Collective

## Input Parameter

- pc - the preconditioning context

## Output Parameter

- is - index set of primal vertices in local numbering (`NULL` if not set)

## See Also

KSP: Linear System Solvers, `PCBDDC`, `PCBDDCSetPrimalVerticesIS()`, `PCBDDCGetPrimalVerticesIS()`, `PCBDDCSetPrimalVerticesLocalIS()`

## Level

intermediate

## Location

src/ksp/pc/impls/bddc/bddc.c

## Implementations

PCBDDCGetPrimalVerticesLocalIS_BDDC() in src/ksp/pc/impls/bddc/bddc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages